-------------------------------------------------------------------------------------------
# Auth: Christopher Stone <scriptmeister@thestoneforge.com>
# dMod: 2016/01/29 00:16
-------------------------------------------------------------------------------------------
# REQUIRES installation of the Satimage.osax AppleScript Extension
# http://www.satimage.fr/software/en/downloads/downloads_companion_osaxen.html
-------------------------------------------------------------------------------------------

tell application "Mail"
	set selectedMessageList to selection
	
	if selectedMessageList  {} then
		set selectedMessage to item 1 of selectedMessageList
		
		tell selectedMessage
			set messageText to its content
		end tell
		
	end if
end tell

try
	
	set staffID to find text "(\\d{9})@our.company.domain.com" in messageText using "\\1" with regexp and string result
	set the clipboard to staffID
	
	# Commented-out change to correct application name:	
	# tell application "myCMSapp" to activate
	
on error eMsg
	beep
	error "Find Staff ID Failed!" & return & return & eMsg
end try

-------------------------------------------------------------------------------------------
